Package com.clickhouse.jdbc.internal

# Class ClickHouseJdbcUrlParser

java.lang.Object
com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser

public class ClickHouseJdbcUrlParser extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ClickHouseJdbcUrlParser.ConnectionInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JDBC_ABBREVIATION_PREFIX`
`static final String`
`JDBC_CLICKHOUSE_PREFIX`
`static final String`
`JDBC_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`static ClickHouseJdbcUrlParser.ConnectionInfo`
`parse(String jdbcUrl, Properties defaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JDBC_PREFIX

public static final String JDBC_PREFIX

See Also:
  - Constant Field Values

### JDBC_CLICKHOUSE_PREFIX

public static final String JDBC_CLICKHOUSE_PREFIX

See Also:
  - Constant Field Values

### JDBC_ABBREVIATION_PREFIX

public static final String JDBC_ABBREVIATION_PREFIX

See Also:
  - Constant Field Values

## Method Details

### parse

public static ClickHouseJdbcUrlParser.ConnectionInfo parse(String jdbcUrl, Properties defaults) throws SQLException

Throws:
  `SQLException`